### Method

# Rest Proxy add_soup_feature

since: 0.7.92

#### Declaration [src]

    void
    rest_proxy_add_soup_feature (
      RestProxy* proxy,
      SoupSessionFeature* feature
    )

#### Description [src]

This method can be used to add specific features to the `SoupSession` objects that are used by librest for its HTTP connections. For example, if one needs extensive control over the cookies which are used for the REST HTTP communication, it’s possible to get full access to libsoup cookie API by using

RestProxy proxy = g_object_new(REST_TYPE_PROXY, “url-format”, url, “disable-cookies”, TRUE, NULL); SoupSessionFeature cookie_jar = SOUP_SESSION_FEATURE(soup_cookie_jar_new ()); rest_proxy_add_soup_feature(proxy, cookie_jar); .

Available since: 0.7.92

#### Parameters

`feature`

  Type: `SoupSessionFeature`

  A `SoupSessionFeature`.

  The data is owned by the caller of the method.